package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdMigrWeakdepDTO implements Serializable {

    private static final long serialVersionUID = 247927468582136L;

    private Integer id;

    private Integer parentId;

    private String childName;

    private String parentType;

    private String childType;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer connectionIdFk;

    private Integer schemaIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getParentId() {
    return parentId;
    }

        public void setParentId(Integer parentId) {
    this.parentId = parentId;
    }

        public String getChildName() {
    return childName;
    }

        public void setChildName(String childName) {
    this.childName = childName;
    }

        public String getParentType() {
    return parentType;
    }

        public void setParentType(String parentType) {
    this.parentType = parentType;
    }

        public String getChildType() {
    return childType;
    }

        public void setChildType(String childType) {
    this.childType = childType;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

        public Integer getSchemaIdFk() {
    return schemaIdFk;
    }

        public void setSchemaIdFk(Integer schemaIdFk) {
    this.schemaIdFk = schemaIdFk;
    }

}